<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classAccessoryStepper.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessoryStepper Member List</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classAccessoryStepper.html">AccessoryStepper</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#a64e6260a68ac84d94394a2076746f98a">Accessory</a>()</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryStepper.html#a6a9c8ee91bfe04900699166b096af1d3">AccessoryStepper</a>()</td><td class="entry"><a class="el" href="classAccessoryStepper.html">AccessoryStepper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#a57d1cb4de69eb625fc2bb82788591a22">AddMovingPosition</a>(unsigned long inId, int inPosition)</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#acd67b5953eb1b55a52a87a779574e3b6">AdjustMovingPositionsSize</a>(uint8_t inNewSize)</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryStepper.html#a7b735ebc78570e8ac043fcf84e7fafc1">CanBePositional</a>() const </td><td class="entry"><a class="el" href="classAccessoryStepper.html">AccessoryStepper</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#a245ad3bad4fa0f1d657fdc20b2edb868">EEPROMLoad</a>(int inPos)</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">virtual</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#a49f289549f486e8307ec06123939ca40">EEPROMSave</a>(int inPos, bool inSimulate = false)</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">virtual</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryStepper.html#a3313ea84bcb8a32ffa0e63fc6f5b0ac0">EndCalibration</a>()</td><td class="entry"><a class="el" href="classAccessoryStepper.html">AccessoryStepper</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryStepper.html#a0188ee79f43dcda4edce3fc16ee14bd6">Event</a>(unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONINDEX, int inData = 0)</td><td class="entry"><a class="el" href="classAccessoryStepper.html">AccessoryStepper</a></td><td class="entry"><span class="mlabels"><span class="mlabel">virtual</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#a6cf36c65d1519eb7e5a6aac1cba7fe51">ExecuteEvent</a>(unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">static</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#a8a9a9e26544b859289f125dd075cf52e">GetActionStartingMillis</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#af8b0920b2a419e278fbc79e3fcc75f86">GetCount</a>()</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">static</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#ac818b7112183d3d65ec361c8402f927f">GetDebounceDelay</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#a8cfe1c1ca32753832146656755f6e7a7">GetDuration</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#ab89d2b99293b24e6ccc38938384563f2">GetFirstAccessory</a>()</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#a933cd0907dc257b1f1047c33d41ceb2a">GetLastMoveTime</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#a292f4e066803d0f6f32a953216443c9d">GetLastMovingPosition</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#aa249535a3c36291764e38ab1e4ae4cee">GetMovingPosition</a>(unsigned long inId) const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#a62eee418f630f805d36f6005e0db1a9e">GetMovingPositionByIndex</a>(int inIndex) const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#a4f0410f39fa692494b51bc880714bdd1">GetMovingPositionIdByIndex</a>(int inIndex) const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">GetMovingPositionSize</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#aa27a04b9e2a95729e491598cb34c6e47">GetNextAccessory</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#ac2883977d969dcde8f078934b4a9ed12">GetPort</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#ae26158a4fc16855e72706b317c40f9e8">GetPreviousState</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">GetState</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#a224977dffaa54df56def6a7b15af0031">IndexOfMovingPosition</a>(unsigned long inId) const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#ae8c3ad3e37a2ba5914f419abd3e2426f">IsActionDelayPending</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#ae4efeb5b525027d5ccb692f0560a3474">IsActionPending</a>()</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">static</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#ac89f301db7c889f32aa8ab5534592975">IsEmpty</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#a05332408472b083ff1368172b79946be">IsFirst</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#aef81e617d15f62090ccce7eee4f0d3c3">IsGroupActionPending</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#a69732e492455231abb564627cf66be7c">IsNone</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#aecdd43db80db0467109219f68d5fb7e4">IsSecond</a>() const </td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryStepper.html#a83a36fe89064e4d5dc5e48b6e4c2d110">Move</a>(unsigned long inId)</td><td class="entry"><a class="el" href="classAccessoryStepper.html">AccessoryStepper</a></td><td class="entry"><span class="mlabels"><span class="mlabel">virtual</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryStepper.html#af4eee80dabc04e8cf26c543f095fe8ea">MovePosition</a>(int inAbsolutePosition)</td><td class="entry"><a class="el" href="classAccessoryStepper.html">AccessoryStepper</a></td><td class="entry"><span class="mlabels"><span class="mlabel">virtual</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryStepper.html#a4fd15eac24ec35a7b550944ac2c317a4">MoveRelativePosition</a>(int inRelativePosition)</td><td class="entry"><a class="el" href="classAccessoryStepper.html">AccessoryStepper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryStepper.html#a49efaf88d8d2e260ca406b4c9aedb3ca">MoveToggle</a>()</td><td class="entry"><a class="el" href="classAccessoryStepper.html">AccessoryStepper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#a3de65543a892b3418df72f54439605cb">ResetAction</a>()</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#a882c7616f0433475d65e1ac5e8ecf616">ResetStartingMillis</a>()</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#a83da11bad71b628431ac86cc1cbaf60c">SetDebounceDelay</a>(unsigned int inDebounceDelay)</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#a6e68b4693371383dfb026869af30d1d2">SetDuration</a>(unsigned long inDuration)</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#af4a38203fce08f72755835ff126bddb0">SetLastMoveTime</a>()</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#a5e837b6c4251c2fe69066d3146dd8478">SetLastMovingPosition</a>(uint8_t inLastPositionIndex)</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#a1d8deba14ebc355146c2ff26b4e4669c">SetNextAccessory</a>(Accessory *inAccessory)</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#ac5208f338b6ea9a5b5fd554c4e1ec60e">SetStartingMillis</a>()</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#a408602468720dbf84c1e3d27cc0385da">SetState</a>(ACC_STATE inNewState)</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">SetStateRaw</a>(ACC_STATE inNewState)</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#ab1dad31ee3bcac4b1baf9a140c7fa57d">StartAction</a>()</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">virtual</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#a9a3c9f8604297fcb55141a720169fd90">StartAction</a>(ACC_STATE inState)</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">virtual</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryStepper.html#af7fe456f7a243c125a37d3e81b36b502">StartCalibration</a>()</td><td class="entry"><a class="el" href="classAccessoryStepper.html">AccessoryStepper</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryStepper.html#afa99bcbba9b5ce7e38d8ce196f88d081">begin</a>(Port *inpPort, int inStepsNumber, int inReduction, unsigned int inSpeed = 0, int inMovingPositionsNumber = 1)</td><td class="entry"><a class="el" href="classAccessoryStepper.html">AccessoryStepper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#af94464d9b49e5700d3c20d0cd206ac51">Accessory::begin</a>(ACC_STATE inStartingState = STATE_NONE)</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#a5891e60944d8542a8bd1eb8862e5010e">loop</a>()</td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a></td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessory.html#a7079494cf9cb5130e5b3a5762e04e947">prevState</a></td><td class="entry"><a class="el" href="classAccessory.html">Accessory</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
